cabal-version: 2.2
name:          Shpadoinkle-console
version:       0.0.1.3
category:      Web
author:        Isaac Shapira
maintainer:    isaac.shapira@platonic.systems
license:       BSD-3-Clause
license-file:  LICENSE
build-type:    Simple
extra-source-files:
  README.md
synopsis:
  Support for the native browser console
description:
  This package adds support for native browser console features for logging and debugging.


source-repository head
  type: git
  location: https://gitlab.com/platonic/shpadoinkle.git


library
  exposed-modules:
    Shpadoinkle.Console

  hs-source-dirs: ./.

  ghc-options:
    -Wall
    -Wcompat
    -fwarn-redundant-constraints
    -fwarn-incomplete-uni-patterns
    -fwarn-tabs
    -fwarn-incomplete-record-updates
    -fwarn-identities

  build-depends:
      aeson >=1.4.4 && <1.6
    , base >=4.12.0 && <4.16
    , jsaddle >=0.9.7 && <0.20
    , lens >=4.17.1 && <5.0
    , text >=1.2.3 && <1.3
    , unliftio >=0.2.12 && <0.3

  default-language: Haskell2010
